module Templates
  ( defaultIndexTemplate
  , defaultPostTemplate
  )
where

defaultIndexTemplate :: String
defaultIndexTemplate = unlines
  [ "<!DOCTYPE html>"
  , "<html lang=\"en\">"
  , "  <head>"
  , "    <meta charset=\"UTF-8\">"
  , "    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">"
  , "    <meta http-equiv=\"X-UA-Compatible\" content=\"ie=edge\">"
  , "    <title></title>"
  , "  </head>"
  , "  <body>"
  , "    <ul>"
  , "      $for(posts)$"
  , "        <li>"
  , "          <a href=\"$posts.link$\">$posts.title$</a>"
  , "        </li>"
  , "      $endfor$"
  , "    </ul>"
  , "  </body>"
  , "</html>"
  ]

defaultPostTemplate :: String
defaultPostTemplate = unlines
  [ "<!DOCTYPE html>"
  , "<html lang=\"en\">"
  , "  <head>"
  , "    <meta charset=\"UTF-8\">"
  , "    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">"
  , "    <meta http-equiv=\"X-UA-Compatible\" content=\"ie=edge\">"
  , "    <title>$title$</title>"
  , "  </head>"
  , "  <body>"
  , "    <h1>$title$</h1>"
  , "    <article>"
  , "      $body$"
  , "    </article>"
  , "  </body>"
  , "</html>"
  ]
